# Client node

Run `client -h` to see all available command line switches. Some example ones are:
`-t - use Testnet (instead of regular bitcoin network)
-ul=NN - set maximum upload speed to NN kilobytes per second
-dl=NN - set maximum download speed to NN kilobytes per second
`

## TextUI

When the client is already running you have an interactive, text command based interface, on the console.
Type `help` to see the possible commands.

## WebUI

There is also a web interface that you can operate with a web browser.
Make sure that wherever you launch the client executable from, there is the `www/` folder, along with its content. The folder contains web templates which are an important part of the WebUI application. You can modify these files to satisfy your look&feel preferences, even to add a new functionality to the web app.
By default (for security reasons) WebUI is available only from a local host, via http://127.0.0.1:8833/
If you want to have access to it from different computers:

- Open `gocoin.conf` file in a text editor (or edit it at the Home page of the WebUI).
- Change `Interface` value in the config file to `:8833` (Note: this binds the web service to all network interfaces).
- Change `AllowedIP` value to allow access from all the addresses you need - e.g. `127.0.0.1,192.168.0.0/16` (Note: `0.0.0.0/0` allows to connect from anywhere).
- Remember to save the new config and then restart your node.

Read more about the config file at the Config page.
Being able to access the page of this manual for further help.